import React from "react";
import { Text } from "@local-logic/core/ui";
import * as styles from "./styles";
const ErrorFallback = ({ error }) => (React.createElement("div", { className: styles.container, "data-testid": "error-fallback" },
    React.createElement(Text, { variant: "h4" }, "An error occurred"),
    React.createElement(Text, { variant: "p", color: "--ll-color-on-background-variant1" }, error.message)));
export default ErrorFallback;
//# sourceMappingURL=index.js.map