import React from "react";
import { type ApexOptions } from "apexcharts";
type ColorAssignmentProps = {
    seriesIndex: number;
    dataPointIndex: number;
    value: number;
};
type GridGraphProps = {
    type?: "price" | "homes" | "percentage";
    series: ApexOptions["series"];
    categories: string[] | number[];
    yaxis?: ApexYAxis;
    chartType?: "bar" | "line";
    showGrid?: boolean;
    markerColor?: string;
    colorAssignmentRule?: ({ seriesIndex, dataPointIndex, value, }: ColorAssignmentProps) => string;
    showYAxisAnnotation?: boolean;
    height?: string;
};
export declare const GridGraph: ({ type, series, categories, yaxis, chartType, showGrid, markerColor, colorAssignmentRule, showYAxisAnnotation, height, }: GridGraphProps) => React.JSX.Element;
export {};
//# sourceMappingURL=index.d.ts.map