export const container = `
  group
  data-[is-clickable]:hover:cursor-pointer
`;
export const imgContainer = `
  relative rounded-t-lg
  border border-solid border-gray-200 
  duration-200
  transition-colors
  h-28 group-data-[is-featured=true]:h-60
  group-data-[is-clickable=true]:group-hover:border-ll-primary
`;
export const image = `
  object-center object-cover rounded-t-lg h-full w-full
`;
export const info = `
  border border-solid border-gray-200
  rounded-b-lg border-t-0
  py-6 px-8
  duration-200
  transition-colors
  group-data-[is-featured=false]:py-4
  group-data-[is-clickable=true]:group-hover:border-ll-primary
`;
export const name = `
  text-xl font-medium text-ll-on-surface my-0 
  duration-200
  transition-colors
  group-data-[is-clickable=true]:group-hover:text-ll-primary
  group-data-[is-featured=false]:text-center
  group-data-[is-featured=true]:mb-2
  group-data-[is-featured=false]:text-base
`;
export const summary = `text-md text-gray-500 m-0 line-clamp-3`;
//# sourceMappingURL=styles.js.map