import { PinMarker } from "@local-logic/core/ui";
import React from "react";
import { Marker } from "react-map-gl/maplibre";
const Pin = React.memo(({ marker }) => (React.createElement(Marker, { latitude: marker.lat, longitude: marker.lng, style: { zIndex: 1 } },
    React.createElement(PinMarker.Root, { options: {
            style: marker.icon || "house",
        } }))));
Pin.displayName = "Pin";
export default Pin;
//# sourceMappingURL=index.js.map