import React, { useMemo } from "react";
import { Storefront as StorefrontIcon, ShoppingCartSimple as ShoppingCartSimpleIcon, Brandy as BrandyIcon, ForkKnife as ForkKnifeIcon, Coffee as CoffeeIcon, Baby as BabyIcon, Bus as BusIcon, Train as TrainIcon, TrafficSignal as TrafficSignalIcon, Tree as TreeIcon, Barbell as BarbellIcon, Brain as BrainIcon, PawPrint as PawPrintIcon, GasPump as GasPumpIcon, Heartbeat as HeartbeatIcon, Palette as PaletteIcon, Armchair as ArmchairIcon, Backpack as BackpackIcon, GraduationCap as GraduationCapIcon, } from "@phosphor-icons/react";
const icons = {
    groceries: StorefrontIcon,
    groceries_specialized: StorefrontIcon,
    shopping: ShoppingCartSimpleIcon,
    nightlife: BrandyIcon,
    restaurants: ForkKnifeIcon,
    healthy_restaurants: ForkKnifeIcon,
    cafes: CoffeeIcon,
    daycares: BabyIcon,
    bus_stops: BusIcon,
    rapid_transit_stations: TrainIcon,
    train_stations: TrafficSignalIcon,
    parks: TreeIcon,
    fitness: BarbellIcon,
    sport_facilities: BarbellIcon,
    personal_care: BrainIcon,
    pet_care: PawPrintIcon,
    car_fueling_stations: GasPumpIcon,
    health_care: HeartbeatIcon,
    art_culture_science: PaletteIcon,
    home_improvement: ArmchairIcon,
    primary_schools: BackpackIcon,
    high_schools: GraduationCapIcon,
};
export const PoiIcon = ({ poi, className, }) => {
    const Icon = useMemo(() => icons[poi], [poi]);
    return React.createElement(Icon, { className: className });
};
//# sourceMappingURL=index.js.map