import React from "react";
/**
 * SDKs wrapped in ResizeWrapper will automatically adjust their height to fit
 * the content.
 *
 * To read more about this functionality see:
 * https://locallogic.atlassian.net/wiki/spaces/PROD/pages/2050031624/Adjustable+vs+nonadjustable+SDK+sizing
 */
declare const ResizeWrapper: ({ children }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export default ResizeWrapper;
//# sourceMappingURL=index.d.ts.map