var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from "react";
import { PersonSimpleWalk as PersonSimpleWalkIcon, Subway as SubwayIcon, Bicycle as BicycleIcon, Car as CarIcon, Baby as BabyIcon, Backpack as BackpackIcon, GraduationCap as GraduationCapIcon, Tote as ToteIcon, Storefront as StorefrontIcon, ForkKnife as ForkKnifeIcon, Coffee as CoffeeIcon, Martini as MartiniIcon, DiscoBall as DiscoBallIcon, Bank as BankIcon, SpeakerSimpleSlash as SpeakerSimpleSlashIcon, Tree as TreeIcon, Plant as PlantIcon, FlowerLotus as FlowerLotusIcon, } from "@phosphor-icons/react";
const icons = {
    pedestrian_friendly: PersonSimpleWalkIcon,
    transit_friendly: SubwayIcon,
    cycling_friendly: BicycleIcon,
    car_friendly: CarIcon,
    daycares: BabyIcon,
    primary_schools: BackpackIcon,
    high_schools: GraduationCapIcon,
    shopping: ToteIcon,
    groceries: StorefrontIcon,
    restaurants: ForkKnifeIcon,
    cafes: CoffeeIcon,
    nightlife: MartiniIcon,
    vibrant: DiscoBallIcon,
    historic: BankIcon,
    quiet: SpeakerSimpleSlashIcon,
    parks: TreeIcon,
    greenery: PlantIcon,
    wellness: FlowerLotusIcon,
};
export const ScoreIcon = (_a) => {
    var { score, className } = _a, rest = __rest(_a, ["score", "className"]);
    const Icon = useMemo(() => icons[score], [score]);
    return React.createElement(Icon, Object.assign({ className: className }, rest));
};
//# sourceMappingURL=index.js.map