var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from "react";
import { GraduationCap as GraduationCapIcon, Backpack as BackpackIcon, Bus as BusIcon, Storefront as StorefrontIcon, ForkKnife as ForkKnifeIcon, Person as PersonIcon, Leaf as LeafIcon, HourglassLow as HourglassLowIcon, Bicycle as BicycleIcon, Car as CarIcon, Confetti as ConfettiIcon, ShoppingCartSimple as ShoppingCartSimpleIcon, Brandy as BrandyIcon, Coffee as CoffeeIcon, Cactus as CactusIcon, Tree as TreeIcon, Baby as BabyIcon, FlowerLotus as FlowerLotusIcon, } from "@phosphor-icons/react";
const icons = {
    high_schools: GraduationCapIcon,
    primary_schools: BackpackIcon,
    transit_friendly: BusIcon,
    groceries: StorefrontIcon,
    restaurants: ForkKnifeIcon,
    pedestrian_friendly: PersonIcon,
    greenery: LeafIcon,
    historic: HourglassLowIcon,
    cycling_friendly: BicycleIcon,
    car_friendly: CarIcon,
    vibrant: ConfettiIcon,
    shopping: ShoppingCartSimpleIcon,
    nightlife: BrandyIcon,
    cafes: CoffeeIcon,
    quiet: CactusIcon,
    parks: TreeIcon,
    daycares: BabyIcon,
    wellness: FlowerLotusIcon,
};
/**
 * @deprecated Use `ScoreIcon` instead.
 * This component is deprecated and will be removed in a future release.
 */
export const ScoreIconDeprecated = (_a) => {
    var { score, className } = _a, rest = __rest(_a, ["score", "className"]);
    const Icon = useMemo(() => icons[score], [score]);
    return React.createElement(Icon, Object.assign({ className: className }, rest));
};
//# sourceMappingURL=index.js.map