import React, { useMemo } from "react";
import { Person as PersonIcon, Car as CarIcon, } from "@phosphor-icons/react";
const icons = {
    pedestrian: PersonIcon,
    car: CarIcon,
};
export const TransportIcon = ({ transport, className, }) => {
    const Icon = useMemo(() => icons[transport], [transport]);
    return React.createElement(Icon, { className: className });
};
//# sourceMappingURL=index.js.map