type PropertyTypes = "single_family" | "multi_family_under_5_units" | "condo_townhome" | "vacant_land" | "multi_family_5_plus_units" | "all_residential_properties";
type IntervalOption = "30d" | "31-60d" | "12m" | "13-24m" | string;
type MarketActivityParams = {
    geogID?: string;
    propertyTypes?: PropertyTypes[];
    intervals?: IntervalOption[];
};
export declare function useMarketActivity({ geogID, propertyTypes, intervals, }: MarketActivityParams): import("@tanstack/react-query").UseQueryResult<import("@local-logic/client").MarketActivity | null, Error>;
export {};
//# sourceMappingURL=useMarketActivity.d.ts.map