import { type Location } from "~/types/sdks";
export declare function useDemographicsData({ lat, lng, geographyId }: Location): import("@tanstack/react-query").UseQueryResult<{
    commute_mode?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    education_level?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    employment_status?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    family_composition?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    household_children?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    household_composition?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    housing_tenancy?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    housing_type?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    income?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    income_stats?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    income_level?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    mother_tongue?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    official_language_knowledge?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    population_age?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    population_total?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
    property_tenure?: {
        label: string;
        type: string;
        variables: import("@local-logic/client").Variable[];
    } | undefined;
}, Error>;
//# sourceMappingURL=useDemographicsData.d.ts.map