import { type Location } from "~/types/sdks";
import { type LocationInfo } from "~/types/profiles";
import { type Geographies } from "@local-logic/client";
type GeoLocationInfoProps = Location & {
    externalId?: string;
    locale: "en" | "fr";
    include?: "geometry";
};
/**
 * This hook is used by Neighborhood Wrap SDKs in order to display neighborhood info specific information
 */
export declare function useGeoLocationInfo({ lat, lng, geographyId, externalId, locale, include, }: GeoLocationInfoProps): {
    isLoading: boolean;
    geographies?: Geographies["geographies"];
    locationInfo?: LocationInfo;
};
export {};
//# sourceMappingURL=useGeoLocationInfo.d.ts.map