import React from "react";
import { useRootElement } from "../context";
import { Header } from "./Header";
import { Content } from "./Content";
import * as styles from "./styles";
export function Score({ scoreKey, backgroundColor, fillColor, }) {
    var _a;
    const { scoresData, activeScore, activeScoreData, onSelectScore } = useRootElement();
    return (React.createElement("button", { className: styles.container, onClick: onSelectScore ? onSelectScore(scoreKey) : undefined, "data-testid": "categories-toggle-slider-score", "data-score": scoreKey, "data-is-active": activeScore === scoreKey },
        React.createElement(Header, { scoreKey: scoreKey, scoreValue: (_a = scoresData === null || scoresData === void 0 ? void 0 : scoresData[scoreKey]) === null || _a === void 0 ? void 0 : _a.value, backgroundColor: backgroundColor, fillColor: fillColor }),
        React.createElement(Content, { activeScoreData: activeScoreData })));
}
//# sourceMappingURL=index.js.map