import React from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export function CategoryTitle({ categoryKey, className, }) {
    const { t } = useTranslation("localContent");
    return (React.createElement("h3", { className: `${styles.container} ${className}`, "data-testid": "category-title", "data-category-key": categoryKey }, t(`categories.${categoryKey}`)));
}
//# sourceMappingURL=index.js.map