import React from "react";
import * as styles from "./styles";
export function ColorIcon({ element: Icon, backgroundColor = "gray", fillColor = "black", }) {
    return (React.createElement("span", { className: styles.background, "data-testid": "icon-background", style: {
            "--background": backgroundColor,
            "--fill": fillColor,
        } }, React.cloneElement(Icon, {
        className: styles.icon,
        "aria-hidden": "true",
        "data-testid": "icon",
    })));
}
//# sourceMappingURL=index.js.map