import React from "react";
import * as styles from "./styles";
export function ScoreValue({ value }) {
    if (typeof value !== "number" || value <= 0) {
        return null;
    }
    return (React.createElement("div", { className: styles.container, "data-testid": "score-value" },
        value > 10 ? 10 : value,
        " / 10"));
}
//# sourceMappingURL=index.js.map