import React from "react";
import { useTranslation } from "react-i18next";
import { CaretLeft as CaretLeftIcon } from "@phosphor-icons/react";
import { Button } from "@local-logic/design-system";
import { useRootElement } from "../../context";
import * as styles from "./styles";
export function CloseButton() {
    const { t } = useTranslation("localContent");
    const { onSelectScore } = useRootElement();
    return (React.createElement(Button, { "data-testid": "sidebar-header-back-button", variant: "ghost", prefixIcon: React.createElement(CaretLeftIcon, { weight: "bold", className: styles.icon }), className: styles.container, onClick: onSelectScore ? onSelectScore(null) : undefined }, t("sidebar.header.backAction")));
}
//# sourceMappingURL=index.js.map