import React, { useMemo } from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export function Title({ title }) {
    const { t } = useTranslation("localContent");
    const displayTitle = useMemo(() => typeof title === "string" && title.length > 0
        ? title
        : t("sidebar.header.title"), [title]);
    return (React.createElement("h2", { className: styles.container, "aria-label": displayTitle, "data-testid": "sidebar-header-title" }, title === false ? "" : displayTitle));
}
//# sourceMappingURL=index.js.map