import React from "react";
import { useTranslation } from "react-i18next";
import { ScoreValue } from "~/sdks/LocalContent/components/ScoreValue";
import { ColorIcon } from "~/sdks/LocalContent/components/ColorIcon";
import { ScoreIcon } from "~/components/ScoreIcon";
import { useRootElement } from "../../context";
import * as styles from "./styles";
export function Header({ scoreKey, scoreValue }) {
    var _a, _b, _c, _d;
    const { t } = useTranslation(["common"]);
    const { activeScoreData } = useRootElement();
    if (scoreKey === null) {
        return null;
    }
    return (React.createElement("div", { className: styles.container, "data-testid": "sidebar-score-details-header" },
        React.createElement("span", { className: styles.title },
            React.createElement(ColorIcon, { element: React.createElement(ScoreIcon, { score: scoreKey }), backgroundColor: (_b = (_a = activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.categoryOptions) === null || _a === void 0 ? void 0 : _a.colors) === null || _b === void 0 ? void 0 : _b.background, fillColor: (_d = (_c = activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.categoryOptions) === null || _c === void 0 ? void 0 : _c.colors) === null || _d === void 0 ? void 0 : _d.fill }),
            React.createElement("span", { className: styles.text }, t(`common:scores.${scoreKey}.title`))),
        React.createElement(ScoreValue, { value: scoreValue })));
}
//# sourceMappingURL=index.js.map