import React from "react";
import { Slider as SliderComponent } from "~/sdks/LocalContent/components/Slider";
import { useRootElement } from "../context";
export function Slider({ children }) {
    const { activeScore, isExpanded } = useRootElement();
    return (React.createElement(SliderComponent, { isOpen: isExpanded && !!activeScore }, children));
}
//# sourceMappingURL=index.js.map