export const search = `flex-1 relative`;
export const searchPosition = (renderListAbove) => {
    const baseClasses = `
    absolute w-full shadow-md bg-ll-background
    translate-x-0 rounded-md z-3
  `;
    if (renderListAbove) {
        return `${baseClasses} top-inherit bottom-8`;
    }
    return `${baseClasses} top-[calc(100% + 6px)]`;
};
export const button = `
  w-full m-0 border-none cursor-pointer
  text-left py-3 px-2 text-sm
  focus:translate-x-0
`;
export const searchList = `list-none p-0 m-0`;
export const listItem = `
  hover:bg-ll-surface
  last-[&>button]:overflow-hidden
  last:rounded-b-md
`;
//# sourceMappingURL=styles.js.map