import React from "react";
import type { Icon } from "@phosphor-icons/react";
export interface IconButtonProps {
    className?: string;
    color?: "primary" | "inverse" | "neutral";
    disabled?: boolean;
    isLoading?: boolean;
    onClick?: React.MouseEventHandler<HTMLButtonElement>;
    size?: "small" | "medium" | "large";
    startAdornment?: JSX.Element;
    icon: Icon;
    title?: string;
    type?: "button" | "submit";
    variant?: "contained" | "outlined" | "text";
}
export declare const IconButton: ({ className, color, disabled, isLoading, onClick, size, icon: Icon, title, type, }: IconButtonProps) => React.JSX.Element;
//# sourceMappingURL=index.d.ts.map