import { POI, School } from "@local-logic/client";
import React from "react";
import { Location } from "~/sdks/LocalContentDeprecated/context";
import { GoogleCluster, GoogleMarkerType } from "./types";
import "./styles.css";
export declare const createInfoWindow: (marker: GoogleMarkerType, map: google.maps.Map, walkingTime: string | undefined, drivingTime: string | undefined, showDriveTime: () => boolean, handleInfoWindowClose: () => void, setDestination: (data: Location | undefined) => void, displayCommuteCalcResults: (infowindow: google.maps.InfoWindow) => void, showCalculateCommute?: boolean) => google.maps.InfoWindow;
export declare const createClusterInfoWindow: (map: google.maps.Map, cluster: GoogleCluster, handleInfoWindowClose: () => void, setActivePOI: (poi: POI | School | undefined) => void, setActiveMarker: React.Dispatch<React.SetStateAction<GoogleMarkerType | undefined>>, setActiveCluster: React.Dispatch<React.SetStateAction<GoogleCluster | undefined>>) => google.maps.InfoWindow;
//# sourceMappingURL=infoWindow.d.ts.map