import { School, POI } from "@local-logic/client";
import React from "react";
import Supercluster from "supercluster";
import { UseMeasureRect } from "~/hooks/useMeasure";
interface ClusterProps {
    cluster: Supercluster.PointFeature<Supercluster.ClusterProperties & Supercluster.AnyProps>;
    supercluster: Supercluster<{
        poi: POI | School;
        type: string;
    }, Supercluster.AnyProps> | undefined;
    pointsCount: number;
    zoom: number;
    rect: UseMeasureRect;
    isMobile: boolean;
    isMapMoving: boolean;
    hoveredPOI: POI | School | undefined;
    activePOI: POI | School | undefined;
    onClick?: (cluster: Supercluster.PointFeature<Supercluster.ClusterProperties & Supercluster.AnyProps>) => void;
}
declare const Cluster: ({ cluster, supercluster, pointsCount, onClick, zoom, activePOI, hoveredPOI, rect, isMobile, isMapMoving, }: ClusterProps) => React.JSX.Element;
export default Cluster;
//# sourceMappingURL=index.d.ts.map