import React from "react";
import { Layer, Source } from "react-map-gl/maplibre";
const schoolLineColor = getComputedStyle(document.documentElement).getPropertyValue("--ll-color-on-background");
const schoolLayerStyle = {
    id: "school",
    type: "line",
    source: "schoolCatchment",
    paint: {
        "line-width": 3,
        "line-color": schoolLineColor,
    },
};
const SchoolCatchment = (props) => (React.createElement(Source, { type: "geojson", data: props.schoolCatchment },
    React.createElement(Layer, Object.assign({}, schoolLayerStyle))));
export default SchoolCatchment;
//# sourceMappingURL=index.js.map