import React from "react";
import { MapRef } from "react-map-gl";
export type DefaultContext = {
    mapRef: React.MutableRefObject<MapRef | undefined>;
    mapPadding: {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
};
declare const useMap: () => DefaultContext;
declare const MapProvider: ({ children, mapRef, mapPadding, }: {
    children: React.ReactNode;
    mapRef: React.MutableRefObject<MapRef | undefined>;
    mapPadding: {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
}) => React.JSX.Element;
export { useMap, MapProvider };
//# sourceMappingURL=context.d.ts.map