import React, { useContext } from "react";
const MapContext = React.createContext({});
const useMap = () => useContext(MapContext);
const MapProvider = ({ children, mapRef, mapPadding, }) => (React.createElement(MapContext.Provider, { value: { mapRef, mapPadding } }, children));
export { useMap, MapProvider };
//# sourceMappingURL=context.js.map