import { POI, School } from "@local-logic/client";
import { SDKOptions } from "~/types/sdk-options";
export type onChangeMap = {
    "poi-click": POI | School | undefined;
    "poi-hover": POI | School | undefined;
};
export type RootProps = SDKOptions<{
    options: {
        data: (POI | School)[];
        type: "school" | "poi";
        activePOI?: POI | School;
        hoveredPOI?: POI | School;
    };
    onChange?: <T extends keyof onChangeMap>({ type, data, }: {
        type: T;
        data: onChangeMap[T];
    }) => void;
}>;
//# sourceMappingURL=types.d.ts.map