import React from "react";
import { ScoreIconDeprecated } from "~/components/ScoreIconDeprecated";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const Icon = ({ isActive }) => {
    const { options: { score }, } = useRootElement();
    return (React.createElement(ScoreIconDeprecated, { score: score, className: styles.icon, "data-active": isActive }));
};
//# sourceMappingURL=index.js.map