import React from "react";
import { useTranslation } from "react-i18next";
import { Text } from "@local-logic/core/ui";
import { useRootElement } from "../context";
export const Title = (props) => {
    const { t } = useTranslation("localContent");
    const { scoreCategory } = useRootElement();
    return (React.createElement(Text, Object.assign({ noMargin: true,
        variant: "h6",
        color: "--ll-color-on-background-variant1" }, props.options), t(`tabs.${scoreCategory}`)));
};
//# sourceMappingURL=index.js.map