import React from "react";
import { POIs } from "@local-logic/client";
import { RootProps } from "./types";
export type DefaultContext = RootProps["options"] & {
    activeTab: keyof POIs;
    setActiveTab: React.Dispatch<React.SetStateAction<keyof POIs>>;
};
declare const RootElementContext: React.Context<DefaultContext>;
declare const useRootElement: () => DefaultContext;
export { useRootElement, RootElementContext };
//# sourceMappingURL=context.d.ts.map