import React, { useState } from "react";
import * as Tabs from "@radix-ui/react-tabs";
import { RootElementContext } from "./context";
export const Root = ({ options, children }) => {
    const [activeTab, setActiveTab] = useState(options.include[0]);
    return (React.createElement(RootElementContext.Provider, { value: Object.assign(Object.assign({}, options), { activeTab,
            setActiveTab }) },
        React.createElement(Tabs.Root, { value: activeTab }, children)));
};
// Export children
export { Tabs } from "./Tabs";
export { Content } from "./Content";
//# sourceMappingURL=index.js.map