import React from "react";
import { useDemographics } from "~/sdks/LocalDemographics/context";
import { SpokenLanguages } from "./SpokenLanguages";
import { MotherTongue } from "./MotherTongue";
import * as styles from "../styles";
export const Languages = () => {
    const { demographicsState: { official_language_knowledge: oficialLanguages }, } = useDemographics();
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        oficialLanguages && (React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(SpokenLanguages, null))),
        React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(MotherTongue, null))));
};
//# sourceMappingURL=index.js.map