import { SDKOptions } from "../../types/options";
export type DemographicsCategory = "income" | "population" | "housing" | "household" | "education" | "commute" | "languages";
export type Options = {
    lat?: number;
    lng?: number;
    title?: boolean | string;
    defaultTab?: DemographicsCategory;
};
export type LocalDemographicsProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "LD-Viewed",
    TAB_CLICKED = "LD-Tab-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    CATEGORY_SELECTED = "category_selected"
}
//# sourceMappingURL=types.d.ts.map