import React, { useMemo } from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export const Description = ({ children }) => {
    const { t } = useTranslation("neighborhoodCharacteristics");
    const description = useMemo(() => children || t("noData"), [children]);
    return (React.createElement("p", { className: styles.description, "data-empty": !children }, description));
};
//# sourceMappingURL=index.js.map