import { type Profiles, type Scores } from "@local-logic/client";
import React from "react";
import { type LocationInfo } from "~/types/profiles";
export type DefaultContext = {
    isLoading: boolean;
    locationInfo?: LocationInfo;
    profilesData?: Profiles;
    scores?: Scores["location"];
};
declare const useNeighborhoodCharacteristics: () => DefaultContext;
declare const NeighborhoodCharacteristicsProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useNeighborhoodCharacteristics, NeighborhoodCharacteristicsProvider };
//# sourceMappingURL=context.d.ts.map