import React from "react";
import { type Demographics } from "@local-logic/client";
export type DemographicsCategories = "income" | "population" | "housing" | "household" | "education" | "commute" | "languages";
export type DefaultContext = {
    isLoading: boolean;
    demographicsData: Demographics;
    country: string;
};
declare const useNeighborhoodDemographics: () => DefaultContext;
declare const NeighborhoodDemographicsProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useNeighborhoodDemographics, NeighborhoodDemographicsProvider };
//# sourceMappingURL=context.d.ts.map