import { SDKOptions } from "~/types/options";
export type DemographicsCategory = "income" | "population" | "housing" | "household" | "education" | "commute" | "languages";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
    hideAttribution?: boolean;
};
export type NeighborhoodDemographicsProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-demographics-Viewed",
    CATEGORY_CLICKED = "neighborhood-demographics-Category-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    CATEGORY_CLICKED = "category_clicked"
}
//# sourceMappingURL=types.d.ts.map