import React from "react";
import type { FavoriteNeighborhoods } from "~/types/neighborhoods";
export type DefaultContext = {
    isLoading: boolean;
    isFetched: boolean;
    neighborhoods?: FavoriteNeighborhoods;
};
declare const useNeighborhoodFeatured: () => DefaultContext;
declare const NeighborhoodFeaturedProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useNeighborhoodFeatured, NeighborhoodFeaturedProvider };
//# sourceMappingURL=context.d.ts.map