import { number, object, string } from "yup";
export const schema = object({
    // We don't need lat/lng/geographyId for the NeighborhoodFeatured SDK
    // But we need to keep it due to how the SDK library is currently implemented
    lat: number().optional(),
    lng: number().optional(),
    geographyId: string().optional(),
    exploreShowcaseURL: string().optional(),
    urlSchemaSpacer: string().length(1).optional(),
    singleNeighborhoodURLSchema: string().optional(),
}).noUnknown(true);
//# sourceMappingURL=schema.js.map