import { SDKOptions } from "~/types/options";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    exploreShowcaseURL?: string;
    urlSchemaSpacer?: string;
    singleNeighborhoodURLSchema?: string;
};
export type NeighborhoodFeaturedProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-featured-Viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood-featured-Card-Clicked",
    EXPLORE_MORE_NEIGHBORHOODS_CLICKED = "neighborhood-featured-Explore-Neighborhoods-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood_featured_Card_Clicked",
    EXPLORE_MORE_NEIGHBORHOODS_CLICKED = "neighborhood_featured_Explore_Neighborhoods_Clicked"
}
//# sourceMappingURL=types.d.ts.map