import React from "react";
import { useTranslation } from "react-i18next";
import { useNeighborhoodHero } from "~/sdks/NeighborhoodHero/context";
import * as styles from "./styles";
export const Summary = () => {
    const { t } = useTranslation("neighborhoodHero");
    const { neighborhoodSummary } = useNeighborhoodHero();
    if (!neighborhoodSummary) {
        return null;
    }
    return (React.createElement("div", { className: styles.container },
        React.createElement("h2", { className: styles.title }, t("summaryTitle")),
        React.createElement("p", { className: styles.text, "data-cy": "summary" }, neighborhoodSummary)));
};
//# sourceMappingURL=index.js.map