import React from "react";
import { useTranslation } from "react-i18next";
import { ScoreIconDeprecated } from "~/components/ScoreIconDeprecated";
import * as styles from "./styles";
export const Item = ({ score }) => {
    const { t } = useTranslation(["neighborhoodHighlights", "common"]);
    return (React.createElement("div", { className: styles.container },
        React.createElement("div", { className: styles.iconContainer },
            React.createElement("div", { className: styles.iconContent },
                React.createElement(ScoreIconDeprecated, { score: score, className: styles.icon }))),
        React.createElement("div", null,
            React.createElement("p", { className: styles.highlightText }, t("highlight.title")),
            React.createElement("p", { className: styles.highlightPill }, t(`common:scores.${score}.titleDeprecated`)))));
};
//# sourceMappingURL=index.js.map