import React from "react";
import { Sliders as SlidersIcon } from "@phosphor-icons/react";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const AllFiltersButton = () => {
    const { setIsFiltersDialogOpen } = useRootElement();
    return (React.createElement("button", { className: styles.button, onClick: () => setIsFiltersDialogOpen(true) },
        React.createElement(SlidersIcon, { className: styles.icon })));
};
//# sourceMappingURL=index.js.map