import React from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export const Category = ({ category, icon: Icon, activeCategory, onSelectCategory, }) => {
    const { t } = useTranslation("neighborhoodMap");
    const handleClick = () => {
        if (onSelectCategory) {
            onSelectCategory(category);
        }
    };
    return (React.createElement("li", { className: styles.container, "data-active": activeCategory === category, onClick: handleClick },
        React.createElement(Icon, { className: styles.icon }),
        React.createElement("p", { className: styles.text }, t(`filters.categories.${category}`))));
};
//# sourceMappingURL=index.js.map