import React, { useState, useContext } from "react";
const RootElementContext = React.createContext({});
const useRootElement = () => useContext(RootElementContext);
const RootElementContextProvider = ({ children, }) => {
    const [isFiltersDialogOpen, setIsFiltersDialogOpen] = useState(false);
    return (React.createElement(RootElementContext.Provider, { value: {
            isFiltersDialogOpen,
            setIsFiltersDialogOpen,
        } }, children));
};
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.js.map