import React, { useMemo } from "react";
import { useRootElement } from "../context";
import { MapGLPopup } from "./MapGL";
export const Popup = (props) => {
    const { mapProvider } = useRootElement();
    const PopupProvider = useMemo(() => {
        switch (mapProvider === null || mapProvider === void 0 ? void 0 : mapProvider.name) {
            default:
                return MapGLPopup;
        }
    }, [mapProvider]);
    return React.createElement(PopupProvider, Object.assign({}, props));
};
//# sourceMappingURL=index.js.map