export const wrapper = `
  flex flex-col w-full justify-between gap-2
`;
export const container = `
   border border-gray-100 md:border-ll-border rounded-md md:min-h-40 w-full flex flex-col md:flex-row
`;
export const smallContainer = `
  border border-gray-100 md:border-ll-border rounded-md
  p-2 md:p-4 w-fit
`;
export const graphOnlyContainer = `
   md:border border-gray-100 md:border-ll-border rounded-md md:min-h-40 w-full flex flex-col md:p-6
`;
export const summary = `
  flex flex-col justify-between min-w-60 p-2 md:p-4 border border-transparent border-b-gray-100 md:border-r-gray-300 md:w-5/12
`;
export const title = `
  font-semibold text-ll-font-size-caption-1 text-ll-placeholder flex gap-x-1 items-center
`;
export const disclaimer = `
  text-xxs
  text-ll-placeholder
  md:mb-4
  italic
`;
export const header = `md:h-22 lg:h-11`;
export const subtitle = `
  text-xxs text-ll-placeholder
`;
export const amount = `
  text-ll-font-size-h4 font-semibold text-ll-on-surface
  leading-7 mt-6 mb-2
`;
export const unit = `
  text-ll-font-size-caption-1 font-medium
`;
export const titleBold = `
  text-sm
  text-ll-on-surface
`;
export const legend = `
  flex items-center justify-center mt-8 md:mt-2
`;
export const legendItem = `
  flex items-center mr-4
`;
//# sourceMappingURL=styles.js.map