import React from "react";
import { useTranslation } from "react-i18next";
import { useStateManagerContext } from "~/context/stateManager";
import { TitleHeader } from "~/components/TitleHeader";
import * as styles from "./styles";
export const Header = () => {
    var _a;
    const { t } = useTranslation("neighborhoodSchools");
    const { sdkState } = useStateManagerContext();
    return (React.createElement("div", { className: styles.title },
        React.createElement(TitleHeader, { title: typeof ((_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.title) !== "undefined"
                ? sdkState.options.title
                : t("title") })));
};
//# sourceMappingURL=index.js.map