export const loadingContent = `
  w-full h-full
  flex
  justify-center
  align-center`;
export const container = `
  [&>div:nth-child(odd)]:bg-neutral-50
`;
export const slide = `
  px-6 pt-4 pb-6
  md:px-5 md:pt-6 md:pb-6
`;
export const header = `
  pt-4 pb-2
  font-medium
  text-sm
  border-t border-neutral-300
`;
export const title = `
  pb-4 
`;
export const schoolName = `
  text-neutral-600
  text-sm font-bold
  data-[has-link="true"]:text-ll-primary
  data-[has-link="true"]:pointer
`;
export const board = `
  text-xs font-normal
  text-neutral-600
`;
export const address = `
  font-normal text-sm
  text-neutral-600 
  mb-4
`;
export const badge = `
  py-1 px-3 mr-2 mb-4
  inline-block
  rounded-md capitalize
  text-center
  text-sm font-medium

  data-[variant=light]:bg-teal-50
  data-[variant=light]:text-ll-primary

  data-[variant=dark]:bg-ll-primary 
  data-[variant=dark]:text-white
`;
export const controls = `
  grid gap-2 grid-cols-1 space-between
  py-2 justify-items-center
`;
export const dot = `
  bg-zinc-300
  data-[selected=true]:bg-ll-primary
`;
//# sourceMappingURL=styles.js.map