import React from "react";
import { School } from "@local-logic/client";
import { SchoolLevel, SchoolType } from "@local-logic/client/dist/features/schools";
import { type LocationInfo } from "~/types/profiles";
import { type tableHeaders } from "./types";
export type DefaultContext = {
    isLoading: boolean;
    locationInfo?: LocationInfo;
    schoolsData?: School[];
    headers: tableHeaders[];
    schoolTypes: (SchoolType | string | undefined)[];
    schoolLevels: (SchoolLevel | string | undefined)[];
};
declare const useNeighborhoodSchools: () => DefaultContext;
declare const NeighborhoodSchoolsProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useNeighborhoodSchools, NeighborhoodSchoolsProvider };
//# sourceMappingURL=context.d.ts.map