import { SDKOptions } from "~/types/options";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
    hideAttribution?: boolean;
};
export type NeighborhoodSchoolsProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export type tableHeaders = Partial<"name" | "type" | "languages" | "levels" | "location">;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-schools-Viewed",
    ATTRIBUTION_CLICKED = "LC-Attribution-Clicked",
    SCHOOL_URL_CLICKED = "neighborhood-schools-URL-Clicked",
    FILTER_BY_TYPE = "neighborhood-schools-Filter-By-Type",
    FILTER_BY_LEVEL = "neighborhood-schools-Filter-By-Level"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    SCHOOL_URL_CLICKED = "neighborhood_schools_url_clicked",
    FILTER_BY_TYPE = "neighborhood_schools_filter_by_type",
    FILTER_BY_LEVEL = "neighborhood_schools_filter_by_level"
}
//# sourceMappingURL=types.d.ts.map