import React from "react";
import { useTranslation } from "react-i18next";
import { Search } from "../Search";
import * as styles from "./styles";
export function Header() {
    const { t } = useTranslation("neighborhoodShowcase");
    return (React.createElement("div", { className: styles.container },
        React.createElement("h1", { className: styles.title }, t("header.title")),
        React.createElement("p", { className: styles.description }, t("header.description")),
        React.createElement(Search, null)));
}
//# sourceMappingURL=index.js.map