import React from "react";
import { Neighborhood } from "~/types/neighborhoods";
export type DefaultContext = {
    isLoading: boolean;
    isFetched: boolean;
    myNeighborhoods: Neighborhood[];
    singleNeighborhoodURLSchema?: string;
};
declare const useNeighborhoodShowcase: () => DefaultContext;
declare const NeighborhoodShowcaseProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useNeighborhoodShowcase, NeighborhoodShowcaseProvider };
//# sourceMappingURL=context.d.ts.map