import React from "react";
import type { Scores } from "@local-logic/client";
export type CardProps = {
    title: string;
    scoreKey: keyof Scores["location"];
    value: number;
    description?: string;
    onClick?: (score: string, isActive: boolean) => void;
};
export declare const Card: ({ title, scoreKey, value, description, onClick, }: CardProps) => React.JSX.Element;
//# sourceMappingURL=index.d.ts.map