import React, { useState, useContext } from "react";
const RootElementContext = React.createContext({});
const useRootElement = () => useContext(RootElementContext);
const RootElementContextProvider = ({ children, }) => {
    const [activeScore, setActiveScore] = useState("");
    return (React.createElement(RootElementContext.Provider, { value: {
            activeScore,
            setActiveScore,
        } }, children));
};
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.js.map