import React from "react";
interface SentryTagManagerProps {
    children: React.ReactNode;
}
/**
 * This component wrapper handles assigning tags to Sentry errors. Note that
 * tags are appended when a Sentry exception happens; calling `setTags` will not
 * in itself trigger a request to Sentry. Therefore it is safe to call setTags
 * frequently without debouncing.
 */
declare const SentryTagManager: ({ children }: SentryTagManagerProps) => React.JSX.Element;
export default SentryTagManager;
//# sourceMappingURL=index.d.ts.map