import React from "react";
import * as styles from "./styles";
export const TitleHeader = ({ title, textColor = "text-ll-on-surface", }) => {
    if (!title) {
        return null;
    }
    return (React.createElement("h1", { "data-cy": "sdk-title", className: `${styles.title} ${textColor}` }, title));
};
//# sourceMappingURL=index.js.map