var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { Bus as BusIcon, Coffee as CoffeeIcon, ShoppingCartSimple as ShoppingCartSimpleIcon, MaskHappy as MaskHappyIcon, Barbell as BarbellIcon, ForkKnife as ForkKnifeIcon, Brandy as BrandyIcon, Person as PersonIcon, Train as TrainIcon, Storefront as StorefrontIcon, TrafficSignal as TrafficSignalIcon, Prescription as PrescriptionIcon, Bicycle as BicycleIcon, Tree as TreeIcon, Books as BooksIcon, Cactus as CactusIcon, Baby as BabyIcon, } from "@phosphor-icons/react";
const icons = {
    bus_service_access: BusIcon,
    shops_and_services_access: ShoppingCartSimpleIcon,
    coffee_shop_access: CoffeeIcon,
    clothing_and_accessory_store_access: ShoppingCartSimpleIcon,
    common_needs_access: ShoppingCartSimpleIcon,
    department_store_access: ShoppingCartSimpleIcon,
    entertainment_venue_access: MaskHappyIcon,
    fitness_establishment_access: BarbellIcon,
    healthy_restaurant_access: ForkKnifeIcon,
    nightlife_access: BrandyIcon,
    pedestrian_oriented_street_access: PersonIcon,
    rapid_transit_service_access: TrainIcon,
    restaurant_access: ForkKnifeIcon,
    specialty_grocery_store_access: StorefrontIcon,
    sports_facility_access: BarbellIcon,
    train_service_access: TrafficSignalIcon,
    nearest_healthy_restaurant_proximity: ForkKnifeIcon,
    nearest_highway_proximity: TrafficSignalIcon,
    nearest_pharmacy_proximity: PrescriptionIcon,
    nearest_bicycle_share_station_proximity: BicycleIcon,
    bicycle_path_access: BicycleIcon,
    bicycle_share_station_access: BicycleIcon,
    nearest_park_area: TreeIcon,
    bicycle_infrastructure_quality: BicycleIcon,
    high_schools: BooksIcon,
    primary_schools: BooksIcon,
    quiet: CactusIcon,
    daycares: BabyIcon,
    parks: TreeIcon,
    park_access_weighted_by_area: TreeIcon,
    park_access: TreeIcon,
};
export const ValueDriverIcon = (_a) => {
    var { driver, className } = _a, rest = __rest(_a, ["driver", "className"]);
    const Icon = icons[driver];
    return React.createElement(Icon, Object.assign({ className: className }, rest));
};
//# sourceMappingURL=index.js.map