import { scoresResponse } from "./types";
export declare const scoresKeys: {
    all: () => readonly ["scores"];
    list: (filters: Partial<scoresResponse>) => readonly ["scores", Partial<{
        lat?: number | undefined;
        lng?: number | undefined;
        geographyIds?: string[] | undefined;
        geographyLevels?: ("10" | "20" | "30")[] | undefined;
        locationScoresRounding?: boolean | undefined;
        include?: ("wellness" | "pedestrian_friendly" | "transit_friendly" | "cycling_friendly" | "car_friendly" | "daycares" | "primary_schools" | "high_schools" | "shopping" | "groceries" | "restaurants" | "cafes" | "nightlife" | "vibrant" | "historic" | "quiet" | "parks" | "greenery")[] | undefined;
    }>];
};
//# sourceMappingURL=keyFactory.d.ts.map