import { EffectCallback } from "react";
/**
 * This hook is used to get around the MOUNT -> UNMOUNT -> MOUNT cycle caused by
 * React.StrictMode. More info:
 * https://blog.ag-grid.com/avoiding-react-18-double-mount/
 */
declare const useEffectOnce: (effect: EffectCallback) => void;
export default useEffectOnce;
//# sourceMappingURL=useEffectOnce.d.ts.map