export type UseMeasureRect = Pick<DOMRectReadOnly, "x" | "y" | "top" | "left" | "right" | "bottom" | "height" | "width">;
export type UseMeasureRef<E extends HTMLElement = HTMLElement> = (element: E) => void;
export type UseMeasureResult<E extends HTMLElement = HTMLElement> = [
    UseMeasureRef<E>,
    UseMeasureRect,
    E | null
];
declare const useMeasure: <E extends HTMLElement = HTMLElement>() => UseMeasureResult<E>;
export default useMeasure;
//# sourceMappingURL=useMeasure.d.ts.map