declare const namespace: {
    readonly sidebar: {
        readonly header: {
            readonly title: "Local Content";
            readonly backAction: "Back to menu";
            readonly toggle: {
                readonly ariaLabel: "Toggle sidebar";
                readonly ariaLabel_open: "Open sidebar";
                readonly ariaLabel_close: "Close sidebar";
            };
        };
    };
    readonly categoriesToggle: {
        readonly toggleLabel: "Categories";
        readonly backAction: "Back";
    };
    readonly categories: {
        readonly transport: "Transport";
        readonly amenities: "Amenities";
        readonly character: "Character";
        readonly nature: "Nature";
        readonly education: "Education";
        readonly wellness: "Wellness";
    };
    readonly scoreMetroComparison: {
        readonly text: "Comparable to the metro average of {{metroScoreValue}}";
        readonly text_higher: "Higher than the metro average of {{metroScoreValue}}";
        readonly text_lower: "Lower than the metro average of {{metroScoreValue}}";
    };
    readonly results: {
        readonly none: "Sorry, there are no score results for this search within the specified radius around the selected location";
        readonly limited: "Limited results for this search within a radius of";
    };
    readonly commuteCalculator: {
        readonly type: {
            readonly pedestrian: "Walking";
            readonly car: "Driving";
        };
        readonly placeholder: "Search map...";
        readonly cta: "Calculate commute";
        readonly ctaShort: "Calculate";
        readonly results: {
            readonly noRoute: "No route available.";
            readonly trySuggestion: "Try another query.";
            readonly fastestRoute: "Fastest route";
        };
    };
    readonly scores: {
        readonly location: "This Location";
        readonly average: "{{type}} Avg.";
        readonly city: "City";
        readonly neighborhood: "Neighborhood";
    };
    readonly tabs: {
        readonly commute: "Transport";
        readonly amenities: "Amenities";
        readonly character: "Character";
        readonly nature: "Nature";
        readonly education: "Education";
        readonly wellness: "Wellness";
    };
};
export default namespace;
//# sourceMappingURL=localContent.d.ts.map