const namespace = {
    sidebar: {
        header: {
            title: "Local Content",
            backAction: "Back to menu",
            toggle: {
                ariaLabel: "Toggle sidebar",
                ariaLabel_open: "Open sidebar",
                ariaLabel_close: "Close sidebar",
            },
        },
    },
    categoriesToggle: {
        toggleLabel: "Categories",
        backAction: "Back",
    },
    categories: {
        transport: "Transport",
        amenities: "Amenities",
        character: "Character",
        nature: "Nature",
        education: "Education",
        wellness: "Wellness",
    },
    scoreMetroComparison: {
        text: "Comparable to the metro average of {{metroScoreValue}}",
        text_higher: "Higher than the metro average of {{metroScoreValue}}",
        text_lower: "Lower than the metro average of {{metroScoreValue}}",
    },
    results: {
        none: "Sorry, there are no score results for this search within the specified radius around the selected location",
        limited: "Limited results for this search within a radius of",
    },
    commuteCalculator: {
        type: {
            pedestrian: "Walking",
            car: "Driving",
        },
        placeholder: "Search map...",
        cta: "Calculate commute",
        ctaShort: "Calculate",
        results: {
            noRoute: "No route available.",
            trySuggestion: "Try another query.",
            fastestRoute: "Fastest route",
        },
    },
    // Deprecate with LocalContentDeprecated
    scores: {
        location: "This Location",
        average: "{{type}} Avg.",
        city: "City",
        neighborhood: "Neighborhood",
    },
    // Deprecate with LocalContentDeprecated
    tabs: {
        commute: "Transport",
        amenities: "Amenities",
        character: "Character",
        nature: "Nature",
        education: "Education",
        wellness: "Wellness",
    },
};
export default namespace;
//# sourceMappingURL=localContent.js.map