declare const namespace: {
    readonly title: "Market trends";
    readonly noData: "Market trends are not available for this neighborhood at this time.";
    readonly disclaimer: {
        readonly header: "Market trend information is based on home transaction data for the previous 12 months and current listing data.";
        readonly footer: "Displaying neighborhood trend information for the selected neighborhood. Market Trend information is updated daily.";
    };
    readonly tabs: {
        readonly currentActivity: {
            readonly title: "Current activity";
        };
        readonly recentTrends: {
            readonly title: "Recent trends";
        };
        readonly marketConditions: {
            readonly title: "Market conditions";
        };
    };
    readonly marketIndicator: {
        readonly increase: "increase";
        readonly decrease: "decrease";
        readonly noMonthlyData: "{{fieldTitle}} is not available for this neighborhood for the last 30 days.";
    };
    readonly graphs: {
        readonly activeListings: {
            readonly title: "Number of active listings";
            readonly yAxisTitle: "Active listings";
        };
        readonly homesSold: {
            readonly title: "Homes sold";
            readonly disclaimer: "The number of residential homes sold over the past 12 months.";
            readonly changeDisclaimer: "The percent change in the number of homes sold over the previous 12 months.";
        };
        readonly housingMarketConditions: {
            readonly title: "Housing market conditions";
            readonly subtitle: "An indication of market conditions over time.";
            readonly marketTypes: {
                readonly buyer: "Buyer's market";
                readonly seller: "Seller's market";
                readonly neutral: "Neutral market";
            };
        };
        readonly marketType: {
            readonly title: "Buyer/Seller market";
            readonly disclaimer: "Buyer/Seller market indicator is based on the ratio of recent homes sold to new listings.";
            readonly marketTypes: {
                readonly buyer: "Buyer's market";
                readonly seller: "Seller's market";
                readonly neutral: "Neutral market";
            };
        };
        readonly medianAskingPrice: {
            readonly title: "Median asking price";
            readonly disclaimer: "The median asking price of residential homes over the past 30 days.";
            readonly changeDisclaimer: "The percent change in the median asking price over the previous 30 days.";
        };
        readonly medianConstructionYear: {
            readonly title: "The median construction year of homes sold in the past 12 months is ";
        };
        readonly medianDaysOnMarket: {
            readonly title: "Median days on market";
            readonly disclaimer: "The median ratio of sold price to asking price of residential homes over the past 30 days.";
            readonly changeDisclaimer: "The percent change in the median days on market over the previous 30 days.";
            readonly yAxisTitle: "Days on market";
        };
        readonly medianSalePrice: {
            readonly title: "Median sales price";
            readonly disclaimer: "The median sales price of residential properties over the past 12 months.";
            readonly changeDisclaimer: "The percent change in the median sales price over the previous 12 months.";
        };
        readonly medianSalePricePerSqft: {
            readonly title: "Median sales price per square foot";
            readonly disclaimer: "The median sales price per square foot of residential properties over the past 12 months.";
            readonly changeDisclaimer: "The percent change in the median sales price per square foot over the previous 12 months.";
        };
        readonly medianSaleVsAskingPrice: {
            readonly title: "Median sales vs. asking price of sold homes";
            readonly disclaimer: "The ratio of sales price to asking price of residential homes over the last 30 days.";
            readonly changeDisclaimer: "The percent change in the ratio of sales price to asking price over the previous 30 days.";
        };
    };
};
export default namespace;
//# sourceMappingURL=neighborhoodMarketTrends.d.ts.map