const namespace = {
    sidebar: {
        header: {
            title: "Local Content",
            backAction: "Retour au menu",
            toggle: {
                ariaLabel: "Basculer le menu des scores",
                ariaLabel_open: "Ouvrir le menu des scores",
                ariaLabel_close: "Fermer le menu des scores",
            },
        },
    },
    categoriesToggle: {
        toggleLabel: "Catégories",
        backAction: "Retour",
    },
    categories: {
        commute: "Transport",
        amenities: "Services",
        character: "Caractère",
        nature: "Nature",
        education: "Éducation",
        wellness: "Bien-être",
    },
    scoreMetroComparison: {
        text: "Comparable à la moyenne métropolitaine de {{metroScoreValue}}",
        text_higher: "Supérieur à la moyenne métropolitaine de {{metroScoreValue}}",
        text_lower: "Inférieur à la moyenne métropolitaine de {{metroScoreValue}}",
    },
    results: {
        none: "Désolé, il n'y a pas de résultats pour cette recherche dans le rayon spécifié autour de l'emplacement sélectionné.",
        limited: "Résultats limités pour cette recherche dans un rayon de",
    },
    commuteCalculator: {
        type: {
            pedestrian: "En marchant",
            car: "En conduisant",
        },
        placeholder: "Faire une recherche...",
        cta: "Calculer le trajet",
        ctaShort: "Calculer",
        results: {
            noRoute: "Aucun itinéraire disponible.",
            trySuggestion: "Essayez une autre requête.",
            fastestRoute: "Itinéraire le plus rapide",
        },
    },
    // Deprecate with LocalContentDeprecated
    scores: {
        location: "Ce Lieu",
        average: "{{type}} Moy.",
        city: "Ville",
        neighborhood: "Quartier",
    },
    // Deprecate with LocalContentDeprecated
    tabs: {
        commute: "Transport",
        amenities: "Services",
        character: "Caractère",
        nature: "Nature",
        education: "Éducation",
        wellness: "Bien-être",
    },
};
export default namespace;
//# sourceMappingURL=localContent.js.map