declare const namespace: {
    readonly title: "Données démographiques locales";
    readonly note: "Affichage des données démographiques pour la zone située à {{value}} {{unit}} autour de l'emplacement sélectionné.";
    readonly noData: "Aucune donnée démographique n'est disponible pour cet endroit particulier.";
    readonly data: {
        readonly income: {
            readonly title: "Revenu";
            readonly graphs: {
                readonly averageIncome: {
                    readonly title: "Revenu moyen";
                    readonly types: {
                        readonly avg_household_income: "Familial";
                        readonly avg_individual_income: "Individuel";
                    };
                };
                readonly employment: {
                    readonly title: "Emploi";
                };
                readonly incomeBrackets: {
                    readonly title: "Tranches de revenu";
                };
            };
        };
        readonly population: {
            readonly title: "Population";
            readonly graphs: {
                readonly totalPopulation: {
                    readonly title: "Population totale";
                };
                readonly populationByAgeGroup: {
                    readonly title: "Population par tranche d'âge";
                };
            };
        };
        readonly housing: {
            readonly title: "Logement";
            readonly graphs: {
                readonly homeOwnershipType: {
                    readonly title: "Propriétaires c. locataires";
                };
                readonly typeOfHousing: {
                    readonly title: "Type de logement";
                };
            };
        };
        readonly household: {
            readonly title: "Ménages";
            readonly graphs: {
                readonly householdComposition: {
                    readonly title: "Composition des ménages";
                };
            };
        };
        readonly education: {
            readonly title: "Éducation";
            readonly graphs: {
                readonly educationLevel: {
                    readonly title: "Niveau d'études atteint";
                };
            };
        };
        readonly commute: {
            readonly title: "Transport";
            readonly graphs: {
                readonly commuteMode: {
                    readonly title: "Modes de transport";
                };
            };
        };
        readonly languages: {
            readonly title: "Langues";
            readonly graphs: {
                readonly spokenLanguages: {
                    readonly title: "Langues officielles parlées";
                };
                readonly motherTongue: {
                    readonly title: "Langue maternelle";
                };
            };
        };
    };
};
export default namespace;
//# sourceMappingURL=localDemographics.d.ts.map