import React from "react";
import { RootElementContextProvider } from "./context";
export const Root = ({ scoresData, activeCategory, activeCategoryData, activeScore, activeScoreData, onSelectCategory, onSelectScore, children, }) => (React.createElement(RootElementContextProvider, { scoresData: scoresData, activeCategory: activeCategory, activeCategoryData: activeCategoryData, activeScore: activeScore, activeScoreData: activeScoreData, onSelectCategory: onSelectCategory, onSelectScore: onSelectScore }, children));
// Export children
export { Toggle } from "./Toggle";
export { Content } from "./Content";
export { Category } from "./Category";
export { Slider } from "./Slider";
export { Score } from "./Score";
//# sourceMappingURL=index.js.map