import React from "react";
import { render, screen } from "@testing-library/react";
import { describe, it, expect } from "vitest";
import { Content } from "./index";
describe("Content", () => {
    it("renders children correctly", () => {
        render(React.createElement(Content, null,
            React.createElement("span", null, "Test Child")));
        expect(screen.getByText("Test Child")).toBeInTheDocument();
    });
    it("renders without children", () => {
        render(React.createElement(Content, null));
        expect(screen.getByTestId("sidebar-content")).toBeEmptyDOMElement();
    });
});
//# sourceMappingURL=index.test.js.map