import React from "react";
import { ScoreMetroComparison } from "~/sdks/LocalContent/components/ScoreMetroComparison";
import { ScoreText } from "~/sdks/LocalContent/components/ScoreText";
import { useRootElement } from "../context";
import { Header } from "./Header";
import * as styles from "./styles";
export function ScoreDetails() {
    const { activeScore, activeScoreData } = useRootElement();
    return (React.createElement("div", { className: styles.container, "data-testid": "sidebar-score-details" },
        React.createElement(Header, { scoreKey: activeScore, scoreValue: activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.value }),
        React.createElement(ScoreMetroComparison, { locationScoreValue: activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.value, metroScoreValue: activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.metroValue }),
        React.createElement(ScoreText, { text: activeScoreData === null || activeScoreData === void 0 ? void 0 : activeScoreData.text })));
}
//# sourceMappingURL=index.js.map