import React from "react";
import type { RootProps } from "./types";
export type DefaultContext = {
    isExpanded: boolean;
    activeScore: RootProps["activeScore"];
    activeScoreData?: RootProps["activeScoreData"];
    onSelectScore?: RootProps["onSelectScore"];
    onToggleIsExpanded: () => void;
};
declare const useRootElement: () => DefaultContext;
declare const RootElementContextProvider: ({ isDefaultOpen, activeScore, activeScoreData, onSelectScore, children, }: {
    isDefaultOpen: boolean;
    activeScore: DefaultContext["activeScore"];
    activeScoreData: DefaultContext["activeScoreData"];
    onSelectScore: DefaultContext["onSelectScore"];
    children: React.ReactNode;
}) => React.JSX.Element;
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.d.ts.map