import React from "react";
import { RootElementContextProvider } from "./context";
export const Root = ({ isDefaultOpen = true, activeScore, activeScoreData, onSelectScore, children, }) => (React.createElement(RootElementContextProvider, { isDefaultOpen: isDefaultOpen, activeScore: activeScore, activeScoreData: activeScoreData, onSelectScore: onSelectScore }, children));
// Export children
export { Content } from "./Content";
export { Header } from "./Header";
export { Category } from "./Category";
export { Score } from "./Score";
export { ScoreDetails } from "./ScoreDetails";
export { Slider } from "./Slider";
//# sourceMappingURL=index.js.map