import { useScores } from "~/features/clientLibrary/useScores";
import type { CategoryOptions, CategoryKey, ScoreKey } from "~/sdks/LocalContent/types";
export type ScoresData = ReturnType<typeof useScores>["data"];
export type ScoreItem = {
    [key in ScoreKey]: {
        text?: string;
        value?: number;
        metroValue?: number;
        categoryKey?: CategoryKey | null;
        categoryOptions?: CategoryOptions | null;
    };
};
//# sourceMappingURL=types.d.ts.map