import type { Options } from "~/sdks/LocalContent/types";
import type { TransformedScoresMenuData } from "./types";
/**
 * Transforms the scores menu data by filtering out hidden categories and scores,
 * and sorting them by their order.
 *
 * This function is used to prepare the scores menu data for rendering in the UI.
 *
 * @param scoresMenu
 * @returns
 */
export declare function transformScoresMenuData(scoresMenu: Options["scoresMenu"]): TransformedScoresMenuData;
//# sourceMappingURL=index.d.ts.map