export const container = `
  group border-none rounded-full flex justify-center items-center p-2

  disabled:cursor-default
  disabled:bg-[rgba(0, 0, 0, 0.1)]
  disabled:text-ll-on-background-variant1

  data-[size=small]:w-6
  data-[size=small]:h-6
  data-[size=medium]:w-8
  data-[size=medium]:h-8
  data-[size=large]:w-12
  data-[size=large]:h-12

  data-[type=primary]:text-ll-on-primary
  data-[type=primary]:bg-ll-primary
  data-[type=primary]:hover:bg-ll-primary-variant1

  data-[type=inverse]:text-ll-primary
  data-[type=inverse]:transparent
  data-[type=inverse]:hover:bg-[rgba(0,0,0,0.05)]

  data-[type=neutral]:text-ll-on-background-variant1
  data-[type=neutral]:bg-transparent
  data-[type=neutral]:hover:bg-[rgba(0,0,0,0.05)]
`;
export const icon = `
  group-data-[type=primary]:fill-ll-on-primary
  group-data-[type=inverse]:fill-ll-primary
  group-data-[type=neutral]:fill-ll-on-background-variant1
`;
//# sourceMappingURL=styles.js.map