import { Cluster, MarkerClusterer } from "@googlemaps/markerclusterer";
import { POI, School } from "@local-logic/client";
import { Feature, Point } from "@turf/turf";
export declare const customInfoKey = "customLLInfo";
export type PointType = Feature<Point, {
    poi: POI | School;
    type: string;
}>;
export type GoogleMarkerType = google.maps.Marker & {
    customLLInfo: PointType;
};
export type GoogleCluster = Cluster;
export type GoogleMarkerClusterer = MarkerClusterer;
//# sourceMappingURL=types.d.ts.map