import React, { useState } from "react";
const GoogleMapContext = React.createContext({});
const GoogleMapProvider = ({ children }) => {
    const [googleMapRef, setGoogleMapRef] = useState();
    return (React.createElement(GoogleMapContext.Provider, { value: { googleMapRef, setGoogleMapRef } }, children));
};
export { GoogleMapContext, GoogleMapProvider };
//# sourceMappingURL=context.js.map