import { POI, POIs, School, Schools } from "@local-logic/client";
import React from "react";
import { UseMeasureRect } from "~/hooks/useMeasure";
interface POIMarkerProps {
    poi: POI | School;
    poiType: keyof POIs | keyof Schools;
    activePOI: POI | School | undefined;
    hoveredPOI: POI | School | undefined;
    isMobile: boolean;
    isMapMoving: boolean;
    rect: UseMeasureRect;
    walkingTime?: string | null;
    calculateRoute?: () => void;
}
declare const Marker: ({ poi, poiType, activePOI, hoveredPOI, isMapMoving, isMobile, }: POIMarkerProps) => React.JSX.Element;
export default Marker;
//# sourceMappingURL=index.d.ts.map