import { School, POI } from "@local-logic/client";
import { Feature, Point } from "@turf/turf";
import React from "react";
import { MapRef } from "react-map-gl/maplibre";
import { UseMeasureRect } from "~/hooks/useMeasure";
interface MarkersProps {
    mapRef: React.MutableRefObject<MapRef | undefined>;
    points: Feature<Point, {
        poi: POI | School;
        type: string;
    }>[];
    zoom: number;
    activePOI: POI | School | undefined;
    hoveredPOI: POI | School | undefined;
    isMapMoving: boolean;
    isMobile: boolean;
    rect: UseMeasureRect;
}
declare const Markers: React.MemoExoticComponent<({ rect, zoom, mapRef, points, isMobile, activePOI, hoveredPOI, isMapMoving, }: MarkersProps) => React.JSX.Element>;
export default Markers;
//# sourceMappingURL=index.d.ts.map