import React from "react";
import { ControlPosition, MapRef, ViewStateChangeEvent } from "react-map-gl/maplibre";
declare const Map: ({ minZoom, mapRef, mapPadding, children, style, position, navigationStyle, distanceUnit, handleOnMove, setIsMapMoving, }: {
    minZoom?: number;
    mapRef: React.MutableRefObject<MapRef | undefined>;
    mapPadding: {
        top: number;
        bottom: number;
        left: number;
        right: number;
    };
    children?: React.JSX.Element;
    style?: React.CSSProperties;
    position?: ControlPosition;
    navigationStyle?: React.CSSProperties;
    distanceUnit?: "metric" | "imperial";
    handleOnMove?: (e: ViewStateChangeEvent) => void;
    setIsMapMoving: React.Dispatch<React.SetStateAction<boolean>>;
}) => React.JSX.Element;
export default Map;
//# sourceMappingURL=index.d.ts.map