import React from "react";
import { Popover } from "@local-logic/core/ui";
import { PoiIcon } from "~/components/PoiIcon";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const Marker = () => {
    const { options: { type, isOpen }, } = useRootElement();
    return (React.createElement(Popover.Trigger, null,
        React.createElement("div", { className: styles.container, "data-is-open": isOpen },
            React.createElement(PoiIcon, { poi: type, className: styles.icon }))));
};
//# sourceMappingURL=index.js.map