import { Popover } from "@local-logic/core/ui";
import React from "react";
import { RootElementContext } from "./context";
export const Root = (props) => (React.createElement(Popover.Root, { open: props.options.isOpen, onOpenChange: (open) => props.onChange && props.onChange({ type: "open-change", data: open }) },
    React.createElement(RootElementContext.Provider, { value: Object.assign({}, props) }, props.children)));
export const GoogleRoot = (props) => (React.createElement("div", null,
    React.createElement(RootElementContext.Provider, { value: Object.assign({}, props) }, props.children)));
// Export children
export { Marker } from "./Marker";
export { GoogleMarker } from "./Marker/GoogleMarker";
export { GoogleClusterMarker } from "./Marker/GoogleClusterMarker";
export { Content } from "./Content";
export { GoogleContent } from "./Content/GoogleContent";
//# sourceMappingURL=index.js.map