import React, { useMemo } from "react";
import { useTranslation } from "react-i18next";
import { Text } from "@local-logic/core/ui";
import { useRootElement } from "../context";
export const Title = (props) => {
    var _a;
    const { t } = useTranslation(["common"]);
    const { options: { score }, } = useRootElement();
    const scoreTranslation = useMemo(() => t(`common:scores.${score}.titleDeprecated`), [score]);
    return ((_a = props.options) === null || _a === void 0 ? void 0 : _a.isRawText) ? (React.createElement(React.Fragment, null, scoreTranslation)) : (React.createElement(Text, Object.assign({ noMargin: true,
        variant: "h6",
        color: "--ll-color-on-background-variant1",
        isRawText: false }, props.options), scoreTranslation));
};
//# sourceMappingURL=index.js.map