import React from "react";
import { useDemographics } from "~/sdks/LocalDemographics/context";
import { TotalPopulation } from "./TotalPopulation";
import { PopulationByAgeGroup } from "./PopulationByAgeGroup";
import * as styles from "../styles";
export const Population = () => {
    const { demographicsState: { population_total: populationTotal }, } = useDemographics();
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        populationTotal && (React.createElement("div", { className: styles.graphSideBySide },
            React.createElement("div", { className: styles.graphContainer },
                React.createElement(TotalPopulation, null)))),
        React.createElement("div", { className: styles.graphContainer },
            React.createElement(PopulationByAgeGroup, null))));
};
//# sourceMappingURL=index.js.map