import { SDKOptions } from "~/types/sdk-options";
import { DemographicsCategory } from "~/sdks/LocalDemographics/types";
export type onChangeMap = {
    tabs: DemographicsCategory;
};
export type RootProps = SDKOptions<{
    options: {
        activeTab: DemographicsCategory;
        omitTabs?: string[];
    };
    onChange: <T extends keyof onChangeMap>({ type, data, }: {
        type: T;
        data: onChangeMap[T];
    }) => void;
}>;
//# sourceMappingURL=types.d.ts.map