import { SDKOptions } from "~/types/options";
export type Section = "transport" | "services" | "character";
export type Score = "pedestrian_friendly" | "car_friendly" | "transit_friendly" | "cycling_friendly" | "groceries" | "shopping" | "restaurants" | "cafes" | "quiet" | "parks" | "vibrant" | "nightlife";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
};
export type NeighborhoodCharacteristicsProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-characteristics-Viewed",
    SCORE_CLICKED = "neighborhood-characteristics-Score-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    SCORE_CLICKED = "score_clicked"
}
//# sourceMappingURL=types.d.ts.map