import React from "react";
import { useStateManagerContext } from "~/context/stateManager";
import { useTranslation } from "react-i18next";
import { Text } from "@local-logic/core/ui";
import { Attribution } from "~/components/Attribution";
import * as styles from "./styles";
export const Footer = () => {
    var _a;
    const { t } = useTranslation(["neighborhoodDemographics", "common"]);
    const { sdkState } = useStateManagerContext();
    return (React.createElement("div", { className: styles.container },
        React.createElement(Text, { noMargin: true, variant: "caption1", color: "--ll-color-on-background-variant1" }, t("note")),
        !((_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.hideAttribution) && React.createElement(Attribution, null)));
};
//# sourceMappingURL=index.js.map