import React from "react";
import { useNeighborhoodDemographics } from "~/sdks/NeighborhoodDemographics/context";
import { SpokenLanguages } from "./SpokenLanguages";
import { MotherTongue } from "./MotherTongue";
import * as styles from "../styles";
// TODO: To be reworked once we start implementing the new graphs
export const Languages = () => {
    const { demographicsData: { official_language_knowledge: oficialLanguages }, } = useNeighborhoodDemographics();
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        oficialLanguages && (React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(SpokenLanguages, null))),
        React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(MotherTongue, null))));
};
//# sourceMappingURL=index.js.map