import React from "react";
import { useNeighborhoodDemographics } from "~/sdks/NeighborhoodDemographics/context";
import { TotalPopulation } from "./TotalPopulation";
import { PopulationByAgeGroup } from "./PopulationByAgeGroup";
import * as styles from "../styles";
// TODO: To be reworked once we start implementing the new graphs
export const Population = () => {
    const { demographicsData: { population_total: populationTotal }, } = useNeighborhoodDemographics();
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        populationTotal && (React.createElement("div", { className: styles.graphSideBySide },
            React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
                React.createElement(TotalPopulation, null)))),
        React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(PopulationByAgeGroup, null))));
};
//# sourceMappingURL=index.js.map