import React from "react";
import { type LocationInfo } from "~/types/profiles";
interface Location {
    label?: string;
    lat: number;
    lng: number;
}
export type DefaultContext = {
    isLoading: boolean;
    locationInfo?: LocationInfo;
    neighborhoodImage: string | null;
    isFallbackImage: boolean;
    neighborhoodSummary?: string;
};
declare const useNeighborhoodHero: () => DefaultContext;
declare const NeighborhoodHeroProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useNeighborhoodHero, NeighborhoodHeroProvider, type Location };
//# sourceMappingURL=context.d.ts.map