import React from "react";
import { RootProps } from "./types";
export type DefaultContext = RootProps["options"];
declare const RootElementContext: React.Context<{
    lat?: number;
    lng?: number;
    theme?: import("./types").Theme;
    mapProvider?: import("../../../../../types/options").MapProvider;
    zoom?: number;
    pitch?: number;
    bearing?: number;
    cooperativeGestures?: boolean;
    geometry?: import("@turf/turf").FeatureCollection<import("@turf/turf").MultiPolygon, import("@turf/turf").Properties>;
    geometries?: {
        key: string;
        geoJson: import("@turf/turf").FeatureCollection<import("@turf/turf").MultiPolygon, import("@turf/turf").Properties> | undefined;
        color: string;
    }[];
    pois?: import("@local-logic/client").POI[] | import("@local-logic/client").School[];
    poiCategory?: keyof import("@local-logic/client").POIs | keyof import("@local-logic/client").Schools;
}>;
declare const useRootElement: () => {
    lat?: number;
    lng?: number;
    theme?: import("./types").Theme;
    mapProvider?: import("../../../../../types/options").MapProvider;
    zoom?: number;
    pitch?: number;
    bearing?: number;
    cooperativeGestures?: boolean;
    geometry?: import("@turf/turf").FeatureCollection<import("@turf/turf").MultiPolygon, import("@turf/turf").Properties>;
    geometries?: {
        key: string;
        geoJson: import("@turf/turf").FeatureCollection<import("@turf/turf").MultiPolygon, import("@turf/turf").Properties> | undefined;
        color: string;
    }[];
    pois?: import("@local-logic/client").POI[] | import("@local-logic/client").School[];
    poiCategory?: keyof import("@local-logic/client").POIs | keyof import("@local-logic/client").Schools;
};
export { useRootElement, RootElementContext };
//# sourceMappingURL=context.d.ts.map