import React from "react";
import { CaretDown as CaretDownIcon } from "@phosphor-icons/react";
import * as Accordion from "@radix-ui/react-accordion";
import * as styles from "./styles";
export const Trigger = ({ children, icon: Icon, }) => (React.createElement(Accordion.Trigger, { className: styles.container },
    typeof Icon !== "undefined" && React.createElement(Icon, { className: styles.icon }),
    React.createElement("div", { className: styles.label },
        " ",
        children),
    React.createElement(CaretDownIcon, { className: styles.arrow })));
//# sourceMappingURL=index.js.map