import React from "react";
import * as styles from "./styles";
export const Root = ({ className, children, }) => React.createElement("div", { className: `${styles.wrapper} ${className || ""}` }, children);
// Export children
export { ActiveListings } from "./ActiveListings";
export { MarketType } from "./MarketType";
export { MedianAskingPrice } from "./MedianAskingPrice";
export { MedianDaysOnMarket } from "./MedianDaysOnMarket";
export { MedianSalePrice } from "./MedianSalePrice";
export { MedianSaleVsAskingPrice } from "./MedianSaleVsAskingPrice";
export { MedianConstructionYear } from "./MedianConstructionYear";
export { MedianSalePriceSQFT } from "./MedianSalePriceSQFT";
export { HomesSold } from "./HomesSold";
export { HousingMarketConditions } from "./HousingMarketConditions";
//# sourceMappingURL=index.js.map