import React from "react";
import { Attribution } from "~/components/Attribution";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export const Footer = ({ hideAttribution }) => {
    const { t } = useTranslation("neighborhoodMarketTrends");
    return (React.createElement("div", { className: styles.container },
        React.createElement("p", { className: styles.dataDisclaimer }, t("disclaimer.footer")),
        !hideAttribution && React.createElement(Attribution, null)));
};
//# sourceMappingURL=index.js.map