import React from "react";
import * as styles from "./styles";
export function Gauge({ sellerColor, neutralColor, buyerColor, }) {
    return (React.createElement("div", { className: styles.container },
        React.createElement("div", { className: styles.sellerGauge, style: {
                backgroundImage: `linear-gradient(to right top, ${sellerColor} 50%, rgba(0, 0, 0, 0) 50%)`,
            } }),
        React.createElement("div", { className: styles.neutralGauge, style: {
                backgroundImage: `linear-gradient(to right top, rgba(0, 0, 0, 0) 50%, ${neutralColor} 50%)`,
            } }),
        React.createElement("div", { className: styles.buyerGauge, style: {
                backgroundImage: `linear-gradient(to right top, rgba(0, 0, 0, 0) 50%, ${buyerColor} 50%)`,
            } }),
        React.createElement("div", { className: styles.maskWrapper },
            React.createElement("div", { className: styles.mask }))));
}
//# sourceMappingURL=index.js.map