import React from "react";
import * as Tabs from "@radix-ui/react-tabs";
import * as styles from "./styles";
export const Tab = ({ tabId, icon: Icon, children, className }) => (React.createElement(Tabs.Trigger, { className: `${styles.container} ${className}`, value: tabId },
    typeof Icon !== "undefined" && React.createElement(Icon, { className: styles.icon }),
    children));
//# sourceMappingURL=index.js.map