import React from "react";
import type { MarketActivity } from "@local-logic/client";
import { type NeighborhoodMarketTrendsProps } from "./types";
export type DefaultContext = {
    isLoading: boolean;
    marketActivity: MarketActivity | null;
    appearance?: NeighborhoodMarketTrendsProps["options"]["appearance"];
};
declare const useNeighborhoodMarketTrends: () => DefaultContext;
declare const NeighborhoodMarketTrendsProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useNeighborhoodMarketTrends, NeighborhoodMarketTrendsProvider };
//# sourceMappingURL=context.d.ts.map