import { NeighborhoodMarketTrendsProps } from "./types";
type OptionalPropertyOf<T extends object> = Exclude<{
    [K in keyof T]: T extends Record<K, T[K]> ? never : K;
}[keyof T], undefined>;
declare const defaultState: Pick<NeighborhoodMarketTrendsProps["options"], OptionalPropertyOf<NeighborhoodMarketTrendsProps["options"]>>;
export declare const defaultColors: {
    buyerColor: string;
    neutralColor: string;
    sellerColor: string;
    decreaseColor: string;
    increaseColor: string;
};
export default defaultState;
//# sourceMappingURL=defaultState.d.ts.map