import React from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export const Description = ({ neighborhoodName, }) => {
    const { t } = useTranslation("neighborhoodMatch");
    return (React.createElement("p", { className: styles.text, "data-cy": "sdk-description" }, t(neighborhoodName ? "descriptionWithNeighborhood" : "description", {
        neighborhoodName,
        interpolation: { escapeValue: false },
    })));
};
//# sourceMappingURL=index.js.map