import React from "react";
import { useNeighborhoodMatch } from "~/sdks/NeighborhoodMatch/context";
import { Attribution } from "~/components/Attribution";
import * as styles from "./styles";
export const Footer = () => {
    const { hideAttribution } = useNeighborhoodMatch();
    if (hideAttribution) {
        return null;
    }
    return (React.createElement("div", { className: styles.container },
        React.createElement(Attribution, null)));
};
//# sourceMappingURL=index.js.map