export function addAffordabilityComparisonToNeighborhood(baseAffordabilityIndex, comparingNeighborhood) {
    if (baseAffordabilityIndex == null || comparingNeighborhood.affordability_index == null) {
        return comparingNeighborhood;
    }
    let affordabilityComparison = "";
    if (Math.abs(1 - baseAffordabilityIndex / comparingNeighborhood.affordability_index) < 0.05) {
        affordabilityComparison = "comparable";
    }
    else if (baseAffordabilityIndex > comparingNeighborhood.affordability_index) {
        affordabilityComparison = "lessAffordable";
    }
    else {
        affordabilityComparison = "moreAffordable";
    }
    return Object.assign(Object.assign({}, comparingNeighborhood), { affordabilityComparison: affordabilityComparison });
}
//# sourceMappingURL=affordability.js.map