import React from "react";
import { type PropertyValueDriver } from "@local-logic/client";
export type DefaultContext = {
    isLoading: boolean;
    geogID?: string;
    propertyValueDrivers?: PropertyValueDriver[];
};
declare const useNeighborhoodPropertyValueDrivers: () => DefaultContext;
declare const NeighborhoodPropertyValueDriversProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useNeighborhoodPropertyValueDrivers, NeighborhoodPropertyValueDriversProvider, };
//# sourceMappingURL=context.d.ts.map