import type { SDKOptions } from "~/types/options";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
};
export type NeighborhoodPropertyValueDriversProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export type AllowedDriver = "bus_service_access" | "shops_and_services_access" | "coffee_shop_access" | "clothing_and_accessory_store_access" | "common_needs_access" | "department_store_access" | "entertainment_venue_access" | "fitness_establishment_access" | "nightlife_access" | "pedestrian_oriented_street_access" | "rapid_transit_service_access" | "restaurant_access" | "specialty_grocery_store_access" | "sports_facility_access" | "train_service_access" | "nearest_highway_proximity" | "nearest_pharmacy_proximity" | "nearest_bicycle_share_station_proximity" | "bicycle_path_access" | "bicycle_share_station_access" | "nearest_park_area" | "bicycle_infrastructure_quality" | "high_schools" | "primary_schools" | "quiet" | "daycares" | "parks";
export type AllowedLowDriver = "nearest_highway_proximity";
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-property-value-drivers-Viewed"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed"
}
//# sourceMappingURL=types.d.ts.map