import React from "react";
import { Backpack as BackpackIcon } from "@phosphor-icons/react";
import { Select } from "@local-logic/core/ui";
import * as styles from "./styles";
export const Filter = ({ options, activeFilter, title, icon: Icon = BackpackIcon, handleFilterChange, }) => (React.createElement("div", null,
    React.createElement("p", { className: styles.title }, title),
    options && (React.createElement("div", { className: styles.filter },
        React.createElement(Select.Root, { value: activeFilter, onValueChange: handleFilterChange },
            React.createElement(Select.Trigger, { style: { borderRadius: "8px" }, size: "large" },
                React.createElement(Icon, { className: styles.icon }),
                React.createElement("p", { className: styles.item }, activeFilter)),
            React.createElement(Select.Content, null, options.map((option) => option !== undefined && (React.createElement(Select.Item, { key: option, value: option, variant: "light" },
                React.createElement("p", { className: styles.item }, option))))))))));
//# sourceMappingURL=index.js.map