import React from "react";
import { useTranslation, Trans } from "react-i18next";
import * as styles from "./styles";
export function Blank() {
    const { t } = useTranslation("neighborhoodShowcase");
    return (React.createElement("div", { className: styles.container },
        React.createElement(Trans, { i18nKey: "noData", t: t, components: {
                LinkToHub: (React.createElement("a", { target: "_parent", href: import.meta.env.VITE_NEIGHBORHOOD_HUB_URL })),
                bold: React.createElement("strong", null),
            } })));
}
//# sourceMappingURL=index.js.map