export const container = `flex relative w-full cursor-text`;
export const field = `
  peer transition-all grow
  px-4 pt-5 pb-1.5 border border-solid rounded outline-none
  border-gray-300 bg-white text-black text-sm
  placeholder:text-transparent
  focus:border-ll-primary
  hover:bg-gray-25
  disabled:text-gray-200
  data-[has-prefix-icon=true]:pl-10
`;
export const label = `
  text-sm text-stone-500 ml-4
  absolute top-3.5 origin-top-left
  scale-75 duration-300

  transform
  -translate-y-2

  peer-placeholder-shown:scale-100
  peer-placeholder-shown:translate-y-0
  peer-focus:scale-75
  peer-focus:-translate-y-2
  peer-data-[has-prefix-icon=true]:mx-10
`;
export const prefixIcon = `
  h-4 w-4
  absolute left-4 top-1/2 -translate-y-1/2
  text-stone-500
`;
//# sourceMappingURL=styles.js.map