import { SDKOptions } from "~/types/options";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    singleNeighborhoodURLSchema?: string;
    urlSchemaSpacer?: string;
};
export type NeighborhoodShowcaseProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-showcase-Viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood-gateway-Card-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood_gateway_Card_Clicked"
}
//# sourceMappingURL=types.d.ts.map